Page MenuHomePhabricator

Improve cross-wiki uploads change tag implementation
Closed, ResolvedPublic

Description

Mark cross-wiki uploads with a change tag, but properly. Right now it's a hack in WikimediaEvents, where it really doesn't belong.

Event Timeline

matmarex created this task.Dec 18 2015, 4:42 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 18 2015, 4:42 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 18 2015, 4:47 PM
MarkTraceur triaged this task as Normal priority.Dec 21 2015, 9:19 PM
MarkTraceur added a subscriber: MarkTraceur.

I've thought about this a bit more.

We're actually using the 'cross-wiki-upload' tag to mean two things:

  • Upload completed using the upload dialog
  • Upload that was actually cross-wiki

We can mostly get away with it in Wikimedia environment, since there's no way to use upload dialog to upload to local wiki now (except for using it at Commons), and there's no way of cross-wiki uploading other than the upload dialog. But both of these may change in the future. Non-Wikimedia users are more likely to use the upload dialog without cross-wiki uploading, though.

So I think we should continue having the implementation of 'cross-wiki-upload' tag, which is fairly Wikimedia-specific, in the WikimediaEvents[rEWMV] extension (or we could move it to operations/mediawiki-config[rOMWC] if we fancy). But we could clean it up a bit after some recent fixes to upload tagging (T122089).

And we could tag upload dialog uploads separately if we want to, but I don't think we need it now.

matmarex renamed this task from Mark cross-wiki uploads with a change tag, but properly to Improve cross-wiki uploads change tag implementation.Jan 21 2016, 8:24 PM
matmarex claimed this task.
matmarex added a project: Technical-Debt.
matmarex set Security to None.

Change 265566 had a related patch set uploaded (by Bartosz Dziewoński):
Simplify 'cross-wiki-upload' tagging

https://gerrit.wikimedia.org/r/265566

Change 265566 merged by jenkins-bot:
Simplify 'cross-wiki-upload' tagging

https://gerrit.wikimedia.org/r/265566

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Is this now complete?

matmarex closed this task as Resolved.Feb 28 2016, 10:10 PM